import { get, put, post, deletes } from '@/http/index'

// 查询定检任务列表
export const getSmTask = async (data) => {
  return await get('/als/smTask/list', data)
}

// 新增定检任务
export const addSmTask = async (data) => {
  return await post('/als/smTask', data)
}

// 修改定检任务
export const updateSmTask = async (data) => {
  return await put('/als/smTask', data)
}

// 删除定检任务
export const removeSmTask = async (id) => {
  return await deletes('/als/smTask/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
